TermCriteria (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class TermCriteria

- java.lang.Object
- - org.opencv.core.TermCriteria

-     public class TermCriteria
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COUNT` The maximum number of iterations or elements to compute
    `static int` | `EPS` The desired accuracy threshold or change in parameters at which the iterative algorithm is terminated.
    `double` | `epsilon`
    `static int` | `MAX_ITER` The maximum number of iterations or elements to compute
    `int` | `maxCount`
    `int` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermCriteria()` Termination criteria for iterative algorithms.
    `TermCriteria(double[] vals)`
    `TermCriteria(int type, int maxCount, double epsilon)` Termination criteria for iterative algorithms.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermCriteria` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `void` | `set(double[] vals)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COUNT

          public static final int COUNT

      The maximum number of iterations or elements to compute
      See Also:
        Constant Field Values

    - #### MAX_ITER

          public static final int MAX_ITER

      The maximum number of iterations or elements to compute
      See Also:
        Constant Field Values

    - #### EPS

          public static final int EPS

      The desired accuracy threshold or change in parameters at which the iterative algorithm is terminated.
      See Also:
        Constant Field Values

    - #### type

          public int type

    - #### maxCount

          public int maxCount

    - #### epsilon

          public double epsilon

  - ### Constructor Detail

    - #### TermCriteria

          public TermCriteria(int type,
                              int maxCount,
                              double epsilon)

      Termination criteria for iterative algorithms.
      Parameters:
        `type` - the type of termination criteria: COUNT, EPS or COUNT + EPS.
        `maxCount` - the maximum number of iterations/elements.
        `epsilon` - the desired accuracy.

    - #### TermCriteria

          public TermCriteria()

      Termination criteria for iterative algorithms.

    - #### TermCriteria

          public TermCriteria(double[] vals)

  - ### Method Detail

    - #### set

          public void set(double[] vals)

    - #### clone

          public TermCriteria clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown